Subject: Re: [GIT PULL] AlacrityVM guest drivers for 2.6.33

From: Gregory Haskins <[email-masked]>
Date: Tue, 22 Dec 2009 14:41:22 -0500

On 12/22/09 2:38 PM, Avi Kivity wrote:
> On 12/22/2009 09:32 PM, Gregory Haskins wrote:
>> xinterface, as it turns out, is a great KVM interface for me and easy to
>> extend, all without conflicting with the changes in upstream.  The old
>> way was via the kvm ioctl interface, but that sucked as the ABI was
>> always moving.  Where is the problem?  ioeventfd still works fine as
>> it is.
>>    
> 
> It means that kvm locking suddenly affects more of the kernel.
> 

Thats ok.  This would only be w.r.t. devices that are bound to the KVM
instance anyway, so they better know what they are doing (and they do).

-Greg